Package org.spongepowered.asm.mixin

## Enum MixinEnvironment.Side

- java.lang.Object
- - java.lang.Enum<MixinEnvironment.Side>
  - - org.spongepowered.asm.mixin.MixinEnvironment.Side

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<MixinEnvironment.Side>`

Enclosing class:
  MixinEnvironment

    public static enum MixinEnvironment.Side
    extends java.lang.Enum<MixinEnvironment.Side>

Represents a "side", client or dedicated server

### Enum Constant Summary

Enum Constants
`CLIENT` Client-side environment
`SERVER` (Dedicated) Server-side environment
`UNKNOWN` The environment was unable to determine current side

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract boolean` `detect()`
`static MixinEnvironment.Side` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MixinEnvironment.Side[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNKNOWN

    public static final MixinEnvironment.Side UNKNOWN

The environment was unable to determine current side

#### CLIENT

    public static final MixinEnvironment.Side CLIENT

Client-side environment

#### SERVER

    public static final MixinEnvironment.Side SERVER

(Dedicated) Server-side environment

### Method Detail

#### values

    public static MixinEnvironment.Side[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MixinEnvironment.Side c : MixinEnvironment.Side.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MixinEnvironment.Side valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### detect

    protected abstract boolean detect()